from telemetrix_rpi_pico import telemetrix_rpi_pico
import kuukar.kuukar_leds as kuukar_leds
import kuukar.kuukar_collision as kuukar_collision
import kuukar.kuukar_motion as kuukar_motion
import kuukar.kuukar_lcd as kuukar_lcd
import kuukar.kuukar_sensors as kuukar_sensors
import kuukar.kuukar_environment as kuukar_environment
import kuukar.kuukar_cv as kuukar_cv
from kuukar.kuukar_config import SERIAL_MCU


class kuukar:
    def __init__(self) -> None:
        self.mcu = telemetrix_rpi_pico.TelemetrixRpiPico(
            com_port=SERIAL_MCU, sleep_tune=0.001)
        self.sensors = kuukar_sensors.sensors(self.mcu)
        self.leds = kuukar_leds.leds(self.mcu)
        self.motion = kuukar_motion.motion(
            self.mcu, self.leds, self.sensors)
        self.lcd = kuukar_lcd.lcd(self.motion, self.sensors)
        self.environment = kuukar_environment.environment(
            self.lcd, self.leds, self.sensors)
        self.collision = kuukar_collision.collision(
            self.mcu, self.lcd, self.leds)
        self.cv = kuukar_cv.cv(self.lcd,self.leds)